Module tdlight.api
Package it.tdlight.jni

# Class TdApi.PremiumGiveawayInfoOngoing

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PremiumGiveawayInfo
it.tdlight.jni.TdApi.PremiumGiveawayInfoOngoing

Enclosing class:
  TdApi

public static final class TdApi.PremiumGiveawayInfoOngoing extends TdApi.PremiumGiveawayInfo
Describes an ongoing giveaway.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`creationDate`
Point in time (Unix timestamp) when the giveaway was created.
`boolean`
`isEnded`
True, if the giveaway has ended and results are being prepared.
`TdApi.PremiumGiveawayParticipantStatus`
`status`
Status of the current user in the giveaway.

## Constructor Summary

Constructors
Constructor
Description
`PremiumGiveawayInfoOngoing()`
Describes an ongoing giveaway.
`PremiumGiveawayInfoOngoing(int creationDate, TdApi.PremiumGiveawayParticipantStatus status, boolean isEnded)`
Describes an ongoing giveaway.
`PremiumGiveawayInfoOngoing(DataInput input)`
Describes an ongoing giveaway.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### creationDate

public int creationDate
Point in time (Unix timestamp) when the giveaway was created.

### status

public TdApi.PremiumGiveawayParticipantStatus status
Status of the current user in the giveaway.

### isEnded

public boolean isEnded
True, if the giveaway has ended and results are being prepared.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### PremiumGiveawayInfoOngoing

public PremiumGiveawayInfoOngoing()
Describes an ongoing giveaway.

### PremiumGiveawayInfoOngoing

public PremiumGiveawayInfoOngoing(int creationDate, TdApi.PremiumGiveawayParticipantStatus status, boolean isEnded)
Describes an ongoing giveaway.

Parameters:
  `creationDate` - Point in time (Unix timestamp) when the giveaway was created.
  `status` - Status of the current user in the giveaway.
  `isEnded` - True, if the giveaway has ended and results are being prepared.

### PremiumGiveawayInfoOngoing

public PremiumGiveawayInfoOngoing(DataInput input) throws IOException
Describes an ongoing giveaway.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`